const Sequelize = require('sequelize');
const db = require("../database/db.js");

const Documento = db.sequelize.define('DOCUMENTOS', {
    ID_DOCUMENTO: {
        primaryKey: true,
        type: Sequelize.INTEGER,
        allowNull: false,
        autoIncrement: true
    },
    NOMBRE: {
        type: Sequelize.STRING(255),
        allowNull: false,
    },
    CATEGORIA: {
        type: Sequelize.ENUM('MANUAL', 'EMPRESA'),
        allowNull: false,
    },
    PATH: {
        type: Sequelize.STRING(500),
        allowNull: false,
    },
    FECHA_REGISTRO: {
        type: Sequelize.DATE,
        allowNull: false,
        defaultValue: Sequelize.NOW
    }
}, {
    timestamps: false,
    tableName: 'DOCUMENTOS'
});

module.exports = Documento;